extends HBoxContainer


# Declare member variables here. Examples:
# var a = 2
# var b = "text"
#func _ready():
	#if $label.connect("tooltip_size_updated", self, "update_tooltip_following_mouse_position", [tooltip_node]) != 0:
	#	escoria.logger.error(self, "Error connecting tooltip_size_updated")
	#if $tooltip_layer/tooltip2.connect("tooltip2_size_updated", self, "update_tooltip_following_mouse_position", [tooltip2_node]) != 0:
	#	escoria.logger.error(self, "Error connecting tooltip2_size_updated")
signal tooltip_size_updated
# Called when the node enters the scene tree for the first time.


func set_target(target: String, needs_second_target: bool = false):
	$label.set_target(target, needs_second_target)
	

func set_target2(target: String, needs_second_target: bool = false):
	$label.set_target2(target, needs_second_target)
# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass
func update_tooltip_text():
	$label.update_tooltip_text()
